4Suite™ API Documentation

# ► Module Ft.Server.Common.CreationParams

Contains classes for the creation parameters of various resources in the repository.

Classes: CreationParams |  |  |  | Functions: Deserialize, Serialize |  |  |  | Fields: FTSERVER_NAMESPACE

## Classes

class CreationParams
Class for resource creation parameters

### Methods

__init__(self, fullTextIndex=0, vInfo=None, enforceSchema=0, extModules=None)
getExtFunctionsAndElements(self)
Get the extension lementa and fuctions defined on these creation params

## Functions

Deserialize(src)
Create a creation params its serialized XML form.
Serialize(cp)
Serialize the creation params

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'